#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: mueval
version: 0.9.1.1
id: mueval-0.9.1.1-d1f280fcf677d4a3a184c976e2b9a053

license: BSD3
copyright:
maintainer: Gwern <gwern@gwern.net>
stability:
homepage: https://github.com/gwern/mueval
package-url:
synopsis: Safely evaluate pure Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules and Safe Haskell,
             special Show instances for IO, threads, processes, and changes of directory
             to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/mueval-0.9.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/mueval-0.9.1.1
              /usr/local/lib
hs-libraries: HSmueval-0.9.1.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.18.1.3-cce03841167afd718f6dd08c7ba957ce
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         directory-1.2.1.0-7bc3edddb9ec0c2616861a4f1c5f6c54
         extensible-exceptions-0.1.1.4-f7e26965a32dc4bc7fa1da5f205edb52
         filepath-1.3.0.2-1580a61d3226e4be45fe2130dc2881e3
         hint-0.4.2.0-88cadfa8923d789072ae962f5d0937c1
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         process-1.2.0.0-163b32a503548d746f4aa93b497ff8ea
         show-0.6-a365b9bc95c1bcfd3de954c261b75911
         simple-reflect-0.3.2-78d78744f13e17e1e7ce32a354c9a527
         unix-2.7.0.1-788bb017f25d23a9432018ddc61a967e
         utf8-string-0.3.8-1953503a54d3f55fc6ab02431dfeac7c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/mueval-0.9.1.1/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/mueval-0.9.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
